# CairoContext::mask

# cairo_mask

(PECL cairo >= 0.1.0)

CairoContext::mask -- cairo_mask — The mask purpose

### Description

Object oriented style (method):

public CairoContext::mask ( CairoPattern `$pattern` ) : void

Procedural style:

cairo_mask ( CairoContext `$context` , CairoPattern `$pattern` ) : void

Description here.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`context`

  Description...

`pattern`

  Description...

### Return Values

Description...

### Examples

Example #1 Object oriented style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

Example #2 Procedural style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- Classname::Method()